# Enum Class VulkanCommandBufferUsageFlag

java.lang.Object
java.lang.Enum<VulkanCommandBufferUsageFlag>
com.io7m.jcoronado.api.VulkanCommandBufferUsageFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskType`, `Serializable`, `Comparable<VulkanCommandBufferUsageFlag>`, `Constable`

public enum VulkanCommandBufferUsageFlag extends Enum<VulkanCommandBufferUsageFlag> implements VulkanEnumBitmaskType
Bitmask specifying usage behavior for command buffer.

See Also:
  - "VkCommandBufferUsageFlags"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_COMMAND_BUFFER_USAGE_ONE_TIME_SUBMIT_BIT`
  Specifies that each recording of the command buffer will only be submitted once, and the command buffer will be reset and recorded again between each submission.
  `VK_COMMAND_BUFFER_USAGE_RENDER_PASS_CONTINUE_BIT`
  Specifies that a secondary command buffer is considered to be entirely inside a render pass.
  `VK_COMMAND_BUFFER_USAGE_SIMULTANEOUS_USE_BIT`
  Specifies that a command buffer can be resubmitted to a queue while it is in the pending state, and recorded into multiple primary command buffers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanCommandBufferUsageFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanCommandBufferUsageFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_COMMAND_BUFFER_USAGE_ONE_TIME_SUBMIT_BIT

    public static final VulkanCommandBufferUsageFlag VK_COMMAND_BUFFER_USAGE_ONE_TIME_SUBMIT_BIT
    Specifies that each recording of the command buffer will only be submitted once, and the command buffer will be reset and recorded again between each submission.

  - ### VK_COMMAND_BUFFER_USAGE_RENDER_PASS_CONTINUE_BIT

    public static final VulkanCommandBufferUsageFlag VK_COMMAND_BUFFER_USAGE_RENDER_PASS_CONTINUE_BIT
    Specifies that a secondary command buffer is considered to be entirely inside a render pass. If this is a primary command buffer, then this bit is ignored.

  - ### VK_COMMAND_BUFFER_USAGE_SIMULTANEOUS_USE_BIT

    public static final VulkanCommandBufferUsageFlag VK_COMMAND_BUFFER_USAGE_SIMULTANEOUS_USE_BIT
    Specifies that a command buffer can be resubmitted to a queue while it is in the pending state, and recorded into multiple primary command buffers.

- ## Method Details

  - ### values

    public static VulkanCommandBufferUsageFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanCommandBufferUsageFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant